package banknet

import (
	"fmt"
	"log"

	"wartank/pkg/components/sectionnet"
	"wartank/pkg/types"
)

/*
	Автоматически опрашивает банк, собирает ресурсы, отдаёт задачу на опрос банка.
*/

// BankNet -- обзор базы
type BankNet struct {
	*sectionnet.SectionNet
}

// NewBankNet -- возвращает новый *BankNet
func NewBankNet(server types.IServer, bank types.IBank, bot types.IServBot) (*BankNet, error) {
	log.Printf("NewBankNet()\n")
	{ // Предусловия
		if server == nil {
			return nil, fmt.Errorf("NewBankNet(): IServer == nil")
		}
		if bot == nil {
			return nil, fmt.Errorf("NewBankNet(): IServBot == nil")
		}
	}

	sf := &BankNet{
		SectionNet: sectionnet.NewSectionNet(server, bot, bank, "http://wartank.ru/production/Bank"),
	}

	return sf, nil
}
